Bug 228411 - AsynchronousValidatingPanel.finishValidation()
AsynchronousValidatingPanel.finishValidation()
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Dialogs&Wizards
7.3
All All
: P3 with 1 vote (vote)
: 7.4
Assigned To: Stanislav Aubrecht
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks: 202796
  Show dependency treegraph
 
Reported: 2013-04-09 15:17 UTC by Stanislav Aubrecht
Modified: 2013-04-28 02:19 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Proposed changes (8.98 KB, patch)
2013-04-10 09:43 UTC, Stanislav Aubrecht
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stanislav Aubrecht 2013-04-09 15:17:32 UTC
WizardDescriptor.AsynchronousValidatingPanel should have a method complimentary to its prepareValidation() method.
The proposed finishValidation() will be called from EDT when the background validation is finished (with or without success) and API clients can use this method to enable wizard control locked during the validation.
Comment 1 Stanislav Aubrecht 2013-04-10 09:43:52 UTC
Created attachment 133411 [details]
Proposed changes
Comment 2 Stanislav Aubrecht 2013-04-23 08:39:14 UTC
Since there are no comments I'll integrate the changes tomorrow.
Comment 3 Stanislav Aubrecht 2013-04-24 14:39:12 UTC
core-main 515daeb79521
Comment 4 Quality Engineering 2013-04-28 02:19:35 UTC
Integrated into 'main-golden', will be available in build *201304272301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/515daeb79521
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #228411 - ExtendedAsynchronousValidatingPanel


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo